# These are private
%if %{_use_internal_dependency_generator}
%define __noautoprov 'd3xp\\.so|base\\.so'
%endif

%define sname dhewm3

Summary:	Doom 3 engine
Name:		iodoom3-%{sname}
Version:	1.4.1
Release:	3
License:	GPLv3+
Group:		Games/Arcade
Url:		https://github.com/dhewm/dhewm3/
# From git, see https://github.com/dhewm/dhewm3/
Source0:	%{sname}-%{version}.tar.gz
Source1:	%{sname}.png
# Don't override CXX flags
Patch0:		dhewm3-1.3.1.1304-cflags.patch
BuildRequires:	cmake
BuildRequires:	imagemagick
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(zlib)
Provides:	%{sname} = %{EVRD}
Provides:	doom3 = %{version}

%description
On November 22, 2011 id Software released the source code to Doom 3.

dhewm 3 is a Doom 3 GPL source modification. The goal of dhewm 3 is
bring Doom 3 with the help of SDL to all suitable platforms.

Compared to the original Doom 3, the changes of dhewm 3 worth mentioning are:
- 64bit port
- SDL for low level OS support, OpenGL and input handling
- OpenAL for audio output, all OS specific audio backends are gone
- OpenAL EFX for EAX reverb effects (read: EAX on all platforms)
- A portable build system based on CMake
- (Cross-)compilation with mingw-w64

WARNING! Playing Doom 3 still requires a legitimate copy of the game.
You can purchase a copy from Steam or your favorite retailer.

Place "base" folder from the Doom 3 installation to:
%{_gamesdatadir}/%{sname}/

%files
%doc README.md COPYING.txt
%{_gamesbindir}/%{sname}
%dir %attr(0777,root,root) %{_gamesdatadir}/%{sname}
%{_libdir}/games/%{sname}
%{_datadir}/applications/%{sname}.desktop
%{_liconsdir}/%{sname}.png
%{_miconsdir}/%{sname}.png
%{_iconsdir}/hicolor/*/apps/%{sname}.png

#----------------------------------------------------------------------------

%prep
%setup -qn %{sname}-%{version}
%patch0 -p1
sed -i s,"ID_ENFORCE_KEY 1","ID_ENFORCE_KEY 0",g neo/framework/BuildDefines.h

%build
pushd neo
%cmake \
	-DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}/games \
	-DCMAKE_INSTALL_DATADIR=%{_gamesdatadir}
%make
popd
for N in 16 32 64 128; do convert %{SOURCE1} -resize ${N}x${N} $N.png; done

%install
pushd neo
%makeinstall_std -C build
popd
install -D 16.png %{buildroot}%{_miconsdir}/%{sname}.png
install -D 32.png %{buildroot}%{_liconsdir}/%{sname}.png
install -D 64.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{sname}.png
install -D 128.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{sname}.png

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{sname}.desktop << EOF
[Desktop Entry]
Name=Doom 3 (dhewm3)
Comment=A first-person science fiction horror video game
Exec=%{sname}
Icon=%{sname}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

mkdir -p %{buildroot}%{_gamesdatadir}/%{sname}


%changelog

* Mon Feb 27 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.4.1-3
- (0a090f4) Bump release


